
  html{
    height: -webkit-fill-available;
    transition: 1s !important;
  }

body{
    background-color: #FCFDFE;
    /* background-color: #46aef8; */
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: #333333 !important;
    font-weight: 600;
    font-size: 14px !important;
    letter-spacing: 0.25 px;
    line-height: 20px;
    overflow-x: hidden;
    color: #333333 !important;

}

main{
    min-height: 100vh;
    padding-top: 16px;
    margin-top: 16px;

}

body h1,h2,h3,h4{
    font-family: "Inter", sans-serif;
    font-weight: 600;
    color: #1C1C1C;
    position: relative;
    font-family: 'Inter', sans-serif;
    -webkit-font-feature-settings: 'ss01';
    -moz-font-feature-settings: 'ss01';
    font-feature-settings: 'ss01';
}



.login-form #revealPassword{
    float: right;
    margin-top: -29px;
    margin-right: 5px;
    color: #dbdbdb;
    width: 10px;
    text-align: center;
    width: 25px;
    height: 20px;
}

.login-form #revealPassword:hover{
    color: #828282;
    cursor: pointer;
}

#iconPassword{
    position: absolute;
    margin: 5px 0px 0px -5px;
}

.card-login{
    border-radius: 15px;
    box-shadow: 0px 3px 8px 2px #29334E0D;
    margin: 1px auto;
    padding: 50px;
    background-color: #fff;
    color: #828282;
    display: block;
}
.card-profile{

    border-radius: 15px;
    box-shadow: 0px 3px 8px 2px #29334E0D;
    margin: 1px auto;
    padding: 50px;
    background-color: #fff;
    color: #828282;
    display: block;
    border: none;
}

.login-container{
    max-width: 420px;
    min-width: 380px;
    display: flex;
    flex-flow: column;
    height: 100%;
    justify-content: center;
    
}
.profile-container{
    max-width: 420px;
    min-width: 380px;
    display: flex;
    flex-flow: column;
    height: 100%;
    justify-content: center;
    
}

.profile-container .profile-email{
    display: inherit;
    line-height: 0.8;
    margin:0 auto;
    font-weight: 300;
}
.profile-container .profile-phone{
    display: inherit;
    line-height: 0.8;
    margin:0 auto;
}

.login-form{
    color: #828282;
    font-size: 14px;
    
}

.marker-location{
    color: #f54545;
    cursor: pointer;
    font-size: 18px;
    
}

.marker-location:hover{
    color: #9d2d2d;
}

/* Login section */

.login-form .erp-input{
    top: 360px;
    left: 566px;
    border-radius: 3px;
    border: 0.5px solid #C4C4C4;
    font-size: 16px;
}

.btn-login,.btn-register{
    background-color: #3176C0;
    color: #fff;
    width: 100%;
    height: 50px;
    border-radius: 3px;
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    letter-spacing: 0.25px;
    text-align: center;
}

.btn-login:hover,.btn-register:hover{
    background-color: #1f4b79 !important;
    color: #fff !important;
}

.btn-login:focus,.btn-register:focus{
    box-shadow: 0 0 0 0.25rem rgba(13,110,253,.25);
}
.toggle-password{
    float: right;
    margin-top: -36px;
}
.toggle-password .fa::before{
    display: inline-block;
    padding: 10px 5px;
    cursor: pointer;
    margin-top: 0px;
}
.toggle-password .fa:hover{
    color: #1C1C1C;
}

.ml-auto{
    margin-left: auto;
}

nav.navbar{
    box-shadow: 0px 1px 5px 0px #0000001A;
    background-color: #fff;
    width: 100%;
    padding: 10px 60px;
    box-shadow: 0px 1px 5px 0px #0000001A;
    position: fixed;
    z-index: 99;

}

/* nav .navbar-nav{
    margin-right: auto;
} */

nav.navbar .navbar-collapse{
    padding-left: 0px;
}

nav .dropdown-menu a{
    color: #333333 ;
    text-decoration: none;
}

nav .navbar-nav .nav-link{
    text-decoration: none;
    margin-right: 15px;
}

nav .navbar-collapse .navbar-nav .nav-link:hover{
    color: #222222;
}

nav .navbar-collapse .navbar-nav .active{
    color: #3176C0 !important;
}

nav .navbar-collapse .navbar-nav .active:hover{
    color: #175fad !important;
}

.notification{
    font-size: 4px;
    position: absolute;
    right: 0px;
    top: 20px;
}

.content{
    margin: 10px 70px;
}
/* Profile */

.profile-username{
    text-align: center;
    font-weight: 100;
    color: #333333;
}

.profile-company{
    text-align: center;
    
}

/* Card Status */

.card-status{
    border-radius: 16px;
    background-color: #E5ECF6;
    box-shadow: 0px 3px 8px 2px #29334E0D;
    border: 0.5px solid #29334E0D;
    height: 100px;
}

.card-status .card-body{
    padding: 10px 20px;
}

.card-status .status-number{
    font-size: 25px;    
    font-weight: 400px;
    white-space: nowrap;
}

.card-status :hover{
    cursor: pointer;
    border-radius: 16px;
    background-color: #cdd4de;
}


.card-status.active{
    border-radius: 16px;
    background-color: #A3DDFD;
    box-shadow: 0px 3px 8px 2px #29334E0D;
    border: 0.5px solid #63AAD1;
}

.card-status.active :hover{
    border-radius: 16px;
    background-color: #66c2f3;
}

.profile{
    display: flex;
    width: 100vw;
    height: 65vh;
}

.profile .profile-container{
    margin: auto;
}

/* Footer */

footer .footer{
    bottom:0;
    width: 100%;
    text-align: center;
    font-weight: 400;
    margin: 10px 0px;
    margin-top: 40px;
    padding-bottom: 10px;
}


footer .contact-us{
    position: fixed;
    bottom: 15px;
    right: 15px;
    height: 50px;
    width: 50px;
    z-index: 98;
}

.forget-password{
    display: block;
    text-align: center;
    text-decoration: none;
    font-style: italic;
    color: #3176C0;
}

.dropdown .dropdown-menu{
    border-radius: 0;
    position: absolute;
    border: 0.5px solid #29334E0D;
    right: 0px;
}

.notification-item{
    color: #333333 !important;
}

.daterange{

    width: fit-content;
    background-color: #FCFDFE;
    border: none;
    text-align: center;
}
.daterangepicker{
    margin-top: 16px;
}

.date-input{
    margin-top: 10px;
}

/* Promo */
.promo{
    background-color: #C4C4C4;
    /* border: 0.5px solid #C4C4C4; */
    border-radius: 16px;
    text-align: center;
    margin-top: 20px;
    height: 230px;
    box-shadow: 0px 3px 8px 2px #29334E0D;

}

.promo img{
    width: 100%;
    height: 100%;
    border-radius: 16px;
    border: 0.5px solid #C4C4C4;
    object-fit: cover;
}

/* Register Page */
.login-container .user-image{
    height: 100px;
    width: 100px;
    margin-left: auto !important;
    margin-right: auto !important;
    margin-bottom: -35px;
    z-index: 999;
}

.profile-container .user-image{
    height: 100px;
    width: 100px;
    margin-left: auto !important;
    margin-right: auto !important;
    margin-bottom: -35px;
    z-index: 999;
}

.img-thumbnail{
    height: 100px;
    margin-right: 20px;
}
.img-thumbnail:hover{
    cursor: pointer;
}

.dialog{
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    height: 100vh;
    width: 100vw;
    background: #000000ad;
}

.dialog .dialog-container{
    margin: auto;
}

.NotFound{
    height: 100vh;
    width: 100vw;
    display: flex;
}

.NotFound .NotFound-Container{
    margin: auto;
    text-align: center;
}

.NotFound .NotFound-Container h1{
    font-size: 150px;
}

.breadcrumb{
    background-color: #efefef;
    padding:20px 30px;
    border-radius: 10px;
    font-size: 14px;
    color: #4f4f4f;
    text-decoration: none;
    
}

.breadcrumb a{
    color: #328ceb;
    text-decoration: none;
}

.profile-panel{
    box-shadow: 0px 3px 8px 2px #0000001a;
    border-radius: 10px;
    padding-bottom: 15px;
}

.profile-panel .profile-image .image{
    width: 100%;
    object-fit: cover;
    border-radius: 10px 10px 0px 0px;    
    height: 200px;

}

hr{
    margin: 20px 10px;
    border: 0;
    border-top: 1px solid #dfdfdf;
}
.profile-panel .menu-list{
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.profile-panel .menu-item a{
    color: #4d4d4d;
    display: block;
    margin: 0;
    text-decoration: none;
    padding: 10px 20px;
}

.profile-panel .menu-item.active a{
    color: #328ceb;
    display: block;
    margin: 0;
    text-decoration: none;
    padding: 10px 20px;
}

.profile-panel .menu-item:hover{
    color: #328ceb;
    background-color: #c4c4c41a;

}

.profile-panel .profile-detail{
    margin: 15px;
}

.content-panel{
    border-radius: 10px;
    box-shadow: 0px 3px 8px 2px #0000001a;
    /* min-height: 1000px; */
}

.content-panel{
    border-radius: 10px;
    box-shadow: 0px 3px 8px 2px #0000001a;
    min-height: 300px;
    padding: 30px;
}

.content-panel #map{
    width: 100%;
    height: 300px;
    background-color: #eee;
    margin-bottom: 20px;
}

.content-panel .detail-heading{
    /* text-align: right; */
    font-weight: bold;
}

.content-panel .detail-content{
    /* text-align: right; */
    /* font-weight: bold; */
}

.content-panel .row{
    margin-bottom: 10px;
}


.no-result{
    text-align: center;
    margin: auto;
    display: flex;
    flex-flow: column;
    justify-content: center;
    height: 200px;
    /* color: #4d4d4d; */
}

.no-result .title{
    font-size: 22px;
    margin-bottom: 8px;
}
.loader-container{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.loader {
    width: 48px;
    height: 48px;
    border: 5px solid #7dc9ff;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    margin: auto 0;
}

@keyframes rotation { 
    0% {
        transform: rotate(0deg);
    }
    
    100% {
        transform: rotate(360deg);
    }
} 


@media only screen and (max-width: 420px) { 

    .card-login{
        width: 340px;
        min-width: 0;
        
    }
    nav.navbar{
        padding: 10px 5px;

    }

    .footer{
        font-size: 10px;
    }
    .footer img{
        height: 16px;
    }

    .content{
        margin: 0 20px;
    }

    footer .contact-us img{
        height: 50px;
        width: 50px;
    }

    .dropdown .dropdown-menu{
        right: -60px;
    }
    
    nav.navbar .navbar-collapse {
        padding-left: 25px;
    }

    .dx-group-panel-message{
        display: none;
    }
}

.dx-master-detail-row .details-bap{
    background-color: #fff !important;
    padding: 25px;
    box-shadow: 0px 3px 8px 2px #0000001a !important;
    border-radius: 10px;
    overflow-x: auto;
    display: flex;
    max-height: 300px;
}



@media only screen and (max-width: 990px){
    .img-thumbnail{
        height: 100%;
        margin-right: 20px;
        margin-left: 20px;
    }
    .dx-master-detail-row .details-bap{
        overflow-x: hidden;
        overflow-y: auto;
        flex-flow: column;
    }
    .card-status .status-number{
        font-size: 18px;
    }
}



/* Dev Exxtreme */

.dx-datagrid-headers {
    border-radius: 10px 10px 0px 0px;
    background-color: #DAE9FD;
    border-top-width: 0px;
    /* border-radius: 10px 10px 0px 0px; */
    box-shadow: 0px 3px 8px 2px #29334E0D !important;
    /* border: 1px solid #C4C4C4;*/
    border-bottom: none;

}

.dx-header-row .dx-editor-inline-block {
    background-color: #DAE9FD;
    border-top-width: 15px;
    /* border-radius: 10px 10px 0px 0px; */

}

.dx-datagrid-drag-action{
    background-color: #DAE9FD;
    
}
.dx-command-select,.dx-command-expand.dx-datagrid-group-space{
    background-color: white;
}

.dx-datagrid-headers .dx-datagrid-text-content{
    font-weight: 600;
    color: #333333;
    margin: 5px 0 ;
}

.dx-datagrid-content .dx-datagrid-table .dx-row > td, .dx-datagrid-content .dx-datagrid-table .dx-row > tr > td{
    padding:  12px 20px;
    
}

.dx-datagrid-borders .dx-datagrid-rowsview, .dx-datagrid-headers + .dx-datagrid-rowsview{
    box-shadow: 0px 3px 8px 2px #29334E0D !important;
}


.dx-toolbar .dx-toolbar-items-container {
    height: 36px;
    overflow: visible;
    padding: 10px;
}

.dx-datagrid .badge-warning{
    background-color: #FEE8AF;
    color: #7C6825;
    padding: 4px 8px;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
}

.dx-datagrid .badge-success{
    background-color: #affeda;
    color: #257c38;
    padding: 4px 8px;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
}

.dx-datagrid .badge-danger{
    background-color: #feafaf;
    color: #7c2525;
    padding: 4px 8px;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
}

.dx-datagrid .badge-primary{
    background-color: #afccfe;
    color: #252f7c;
    padding: 4px 8px;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
}

.dx-datagrid-content .dx-datagrid-table [class*=column] + [class*=column]:last-child {
    background-color: #fff;
}

.dx-datagrid-header-panel{
    border-bottom: none;
}

.dx-datagrid-header-panel .dx-toolbar {
    padding: 7px;
    border: 1.5px dashed #C4C4C4;
    background-color: #FCFDFE;
}

.dx-datagrid .dx-column-indicators{
    margin-top:5px;
}

.dx-datagrid .dx-header-filter::before {
    content: "\f050";
}

.dx-datagrid-rowsview .dx-master-detail-row:not(.dx-datagrid-edit-form) .dx-master-detail-cell, .dx-datagrid-rowsview .dx-master-detail-row:not(.dx-datagrid-edit-form) > .dx-datagrid-group-space{
    padding: 40px;
    margin: top 10px;
}
.dx-tabpanel > .dx-tabpanel-tabs .dx-tab.dx-tab-selected{
    background-color: #DAE9FD;
}

.dx-tabpanel > .dx-tabpanel-tabs .dx-tabs{
    background-color: transparent;
    border: none;
}

.dx-tabpanel > .dx-tabpanel-tabs .dx-tabs {
    -webkit-box-shadow:none;
}

.dx-datagrid-content .dx-datagrid-table .dx-header-row .dx-command-expand{
    background-color: #DAE9FD;
}

.dx-datagrid-headers > .dx-datagrid-content.dx-datagrid-scroll-container {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

 .dx-item.dx-tab{
    border-radius: 10px 10px 0 0;

}
.dx-tabs-wrapper{
    position: absolute;
    top: -35px;
}
.dx-group-panel-item.dx-datagrid-action.dx-datagrid-drag-action{
    border-radius: 0px;
    background-color: #fff;
}

/* .dx-item.dx-tab{
    border-radius: 10px 10px 0 0;
    position: absolute;
    top: -30px;
    left: -30px;
    right: -30px;
    bottom: -30px;
    clip-path: polygon(0 0, 100% 0%, calc(100% - 32px) 100%, 0% 100%);
    z-index: 0;
    border-bottom: 1px solid #ccc;
    border-right: 1px solid #ccc !important;
} */


.dx-widget .dx-visibility-change-handler .dx-tabpanel-container {
    border-radius: 15px;
    margin-top: 30px !important;
}

.dx-datagrid.dx-gridbase-container{
    border-radius: 23px;
    /* margin-top:30px */
}

.dx-item .dx-datagrid-headers{
    border:1px solid #ccc;    
    border-bottom: 0px solid #ccc;
}

.dx-item .dx-datagrid-rowsview.dx-datagrid-nowrap .dx-datagrid-content{
    border:1px solid #ccc;    
    border-top: 0px solid #ccc;
    
}
.dx-tabpanel > .dx-tabpanel-container > .dx-multiview-wrapper{
    border-left: 0px;
    border-right: 0px;
}

.btn-primary{
    background-color: #3176C0;

}

.dx-button-has-text .dx-button-content{
    padding: 0px;
}

.dx-button.btn-primary .dx-button-text{
    margin-bottom: 0px;
}
.dx-command-select.dx-cell-focus-disabled.dx-editor-cell.dx-editor-inline-block{
    height: 4%;
}

#filterButton{
    margin-top: 20px;
    width: 100%;
    height: 35px;
    padding: 0px;
}

.dx-header-row{
    height: 55px;
}

.dx-datagrid a{
    text-decoration: none;
    color: #3176C0;
}
.dx-datagrid-table .dx-row .dx-command-expand.dx-datagrid-group-space {
    padding-top: 13px;
}

.verification-result-container {
  /*max-width: 420px;*/
  min-width: 380px;
  display: flex;
  flex-flow: column;
  height: 100%;
  justify-content: center;
}

.card-verification {
  text-align: center;
  border-radius: 15px;
  box-shadow: 0px 3px 8px 2px #29334E0D;
  margin: 1px auto;
  padding: 50px;
  background-color: #fff;
  color: #828282;
  display: block;
}